## rocksndiamonds 3.3.0.1%2Bdfsg1

=== debian/changelog ===
rocksndiamonds (3.3.0.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Merge the NMUs, thanks Christian and Igor!
  * Build with gcc 5 (closes: #798775).
  * Stop removing the .pc directory when cleaning (closes: #793240).
  * Don't mention Legend of Zelda in the package description (closes:
    #752496).
  * Pass arguments from the front-end script (closes: #752494); thanks to
    Andreas Stempfhuber for the patch!
  * Add Turkish Debconf translation (closes: #757873); thanks to Mert
    Dirik for the patch!
  * Add new levelsets (closes: #793422); thanks to Andreas Stempfhuber for
    the patch!
  * Use canonical VCS URLs.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 Sep 2015 22:48:00 +0200

rocksndiamonds (3.3.0.1+dfsg1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed permissions when creating directories (Closes: #651620)

 -- Igor Pashev <pashev.igor@gmail.com>  Sun, 13 May 2012 19:44:35 +0400

rocksndiamonds (3.3.0.1+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #637504
    - Polish (Michał Kułach).  Closes: #660004

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Feb 2012 09:50:18 +0100

rocksndiamonds (3.3.0.1+dfsg1-2) unstable; urgency=low

  * Add Danish translation for debconf, closes: #595585,
    thanks to Joe Dalton <joedalton2@yahoo.dk>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 16 May 2011 13:57:45 +0400

rocksndiamonds (3.3.0.1+dfsg1-1) unstable; urgency=low

  * New upstream bugfix version.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 17 Jun 2010 10:37:21 +0400

rocksndiamonds (3.3.0.0+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Switched debian source format (3.0 quilt).
  * Bumped Standards-Version to 3.8.4.
  * Fixed dh_shlibdeps warning.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 04 Jun 2010 11:09:56 +0400

rocksndiamonds (3.2.6.1+dfsg1-6) unstable; urgency=low

  * Fixed bashizm in postinst-script, thanks for
    Michael Klein <michael.klein@puffin.lb.shuttle.de>,
    closes: #558005.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 29 Nov 2009 13:58:15 +0300

rocksndiamonds (3.2.6.1+dfsg1-5) unstable; urgency=low

  * Updated Vietnamese translations, closes: #547807,
    thanks for Clytie Siddall <clytie@riverland.net.au>

 -- Dmitry E. Oboukhov <unera@debian.org>  Wed, 23 Sep 2009 09:33:56 +0400

rocksndiamonds (3.2.6.1+dfsg1-4) unstable; urgency=low

  * Updated Japanese translations, closes: #546684,
    thanks for Hideki Yamane (Debian-JP) <henrich@debian.or.jp>.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 15 Sep 2009 09:43:22 +0400

rocksndiamonds (3.2.6.1+dfsg1-3) unstable; urgency=low

  * Updated description and templates, closes: #543305,
    thanks for Christian Perrier <bubulle@debian.org>.
  * Updated Russian translations, closes: 543386,
    thanks for Dmitri Gribenko <gribozavr@gmail.com>.
  * Updated Swedish translations, closes: 539436,
    thanks for Martin Bagge <brother@bsnet.se>.
  * Updated Czech translations, closes: 539438,
    thanks for Miroslav Kure <kurem@upcase.inf.upol.cz>.
  * Updated Portuguese translations, closes: #539751,
    thanks for Traduz - Portuguese Translation Team <traduz@debianpt.org>.
  * Added Basque translations, closes: #544108,
    thanks for Piarres Beobide <pi+debian@beobide.net>.
  * Updated Portuguese translations, closes: #544168,
    thanks for Traduz - Portuguese Translation Team" <traduz@debianpt.org>
    (these translations are more new than from #539751, so translations
    from #539751 were overwrited).
  * Updated Czech translations, closes: #544328,
    thanks for Miroslav Kure <kurem@upcase.inf.upol.cz> (these translations
    overwrited translations from #539438).
  * Added Italian translations, closes: #544602,
    thanks for Luca Monducci <luca.mo@tiscali.it>.
  * Updated French translations, closes: 545089,
    thanks for Ivan Buresi <err747@octobre.ath.cx>.
  * Updated Spanish translations, closes: 545565,
    thanks for Francisco Javier Cuadrado <fcocuadrado@gmail.com>.
  * Updated German translations, closes: 545750,
    thanks for Thomas Mueller <thomas.mueller@tmit.eu>.
  * Updated Russian translations, closes: #545862,
    thanks for Yuri Kozlov <yuray@komyakino.ru> (these translations
    overwrited translations from #543386).
  * Added Japanese translations, closes: #546408, thanks for
    Hideki Yamane (Debian-JP) <henrich@debian.or.jp>.
  * Standards-Version bumped to 3.8.3.

 -- Dmitry E. Oboukhov <unera@debian.org>  Mon, 14 Sep 2009 09:52:21 +0400

rocksndiamonds (3.2.6.1+dfsg1-2) unstable; urgency=low

  * Added debconf error screen about downloading error, closes: #538857.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 30 Jul 2009 09:30:03 +0400

rocksndiamonds (3.2.6.1+dfsg1-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.2.
  * Added Debian Games Team into Uploaders group.

 -- Dmitry E. Oboukhov <unera@debian.org>  Tue, 30 Jun 2009 15:50:40 +0400

rocksndiamonds (3.2.6.0+dfsg-6) unstable; urgency=low

  * Added Galician translations for debconf,
  	thanks Marce Villarino <mvillarino@gmail.com>, closes: #512568.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 27 Feb 2009 23:56:41 +0300

rocksndiamonds (3.2.6.0+dfsg-5) unstable; urgency=low

  * 'downloads' directory is created before cleaning, closes: #516426,
  	thanks for Sebastian Bremicker <local@sebrem.de>.
  * Added ${misc:Depends}, closes lintian warning.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sat, 21 Feb 2009 15:54:05 +0300

rocksndiamonds (3.2.6.0+dfsg-4) unstable; urgency=low

  * Added VCS-* records to debian/control.
  * GIT-repo has been created in git.debian.org.

 -- Dmitry E. Oboukhov <unera@debian.org>  Sun, 01 Feb 2009 21:02:26 +0300

rocksndiamonds (3.2.6.0+dfsg-3) unstable; urgency=low

  * Fixed typo in /usr/share/games/rocksndiamonds/README.dir, closes: #506635.


