## rocksndiamonds 3.3.0.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # =============================================================================
 # Rocks'n'Diamonds Makefile
 # -----------------------------------------------------------------------------
-# (c) 1995-2006 Holger Schemel <info@artsoft.org>
+# (c) 1995-2007 Holger Schemel <info@artsoft.org>
 # =============================================================================
 
 # -----------------------------------------------------------------------------
@@ -22,10 +22,14 @@
 # directory for read-only game data (like graphics, sounds, levels)
 # default is '.' to be able to run program without installation
 # RO_GAME_DIR = /usr/games
+# use the following setting for Debian / Ubuntu installations:
+# RO_GAME_DIR = /usr/share/games/rocksndiamonds
 
 # directory for writable game data (like highscore files)
 # default is '.' to be able to run program without installation
 # RW_GAME_DIR = /var/games
+# use the following setting for Debian / Ubuntu installations:
+# RW_GAME_DIR = /var/games/rocksndiamonds
 
 # uncomment if system has no joystick include file
 # JOYSTICK = -DNO_JOYSTICK
@@ -38,8 +42,12 @@
 # SCORE_ENTRIES = MANY_PER_NAME
 
 # paths for cross-compiling (only needed for non-native MS-DOS and Win32 build)
-CROSS_PATH_MSDOS=/usr/local/cross-msdos/i386-msdosdjgpp
-CROSS_PATH_WIN32=/usr/local/cross-tools/i386-mingw32msvc
+CROSS_PATH_MSDOS = /usr/local/cross-msdos/i386-msdosdjgpp
+CROSS_PATH_WIN32 = /usr/local/cross-tools/i386-mingw32msvc
+
+# compile special edition of R'n'D instead of the normal (classic) version
+# SPECIAL_EDITION = rnd_jue
+
 
 # -----------------------------------------------------------------------------
 # there should be no need to change anything below
@@ -91,29 +99,25 @@
 cross-win32:
 	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32
 
-cross-win32-jue:
-	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32 \
-							  SPECIAL_ICON=jue
-
 clean:
 	@$(MAKE_CMD) clean
 
 
 # -----------------------------------------------------------------------------
-# development only
+# development, test, distribution build and packaging targets
 # -----------------------------------------------------------------------------
 
 auto-conf:
 	@$(MAKE_CMD) auto-conf
 
 run: all
-	@./rocksndiamonds --verbose
+	@$(MAKE_CMD) run
 
 gdb: all
-	@gdb -batch -x GDB_COMMANDS ./rocksndiamonds
+	@$(MAKE_CMD) gdb
 
 valgrind: all
-	@valgrind -v --leak-check=yes ./rocksndiamonds 2> valgrind.out
+	@$(MAKE_CMD) valgrind
 
 enginetest: all
 	./Scripts/make_enginetest.sh
@@ -130,14 +134,16 @@
 leveltest: all
 	./Scripts/make_enginetest.sh leveltest
 
+levelsketch_images: all
+	./Scripts/make_levelsketch_images.sh
+
 backup:
-	./Scripts/make_backup.sh src 1
-
-backup2:
-	./Scripts/make_backup.sh src 2
-
-backup3:
-	./Scripts/make_backup.sh src 3
+	./Scripts/make_backup.sh src tar
+
+backup-net-copy:
+	./Scripts/make_backup.sh src scp
+
+backup-net: backup backup-net-copy
 
 backup_lev:
 	./Scripts/make_backup.sh lev
@@ -148,29 +154,11 @@
 # prerelease:
 #	./Scripts/make_prerelease.sh
 
-dist-unix:
-	./Scripts/make_dist.sh unix .
-
-dist-msdos:
-	./Scripts/make_dist.sh dos .
-
-dist-win32:
-	./Scripts/make_dist.sh win .
-
-dist-macosx:
-	./Scripts/make_dist.sh mac . $(MAKE)
-
-upload-unix:
-	./Scripts/make_dist.sh unix . upload
-
-upload-msdos:
-	./Scripts/make_dist.sh dos . upload
-
-upload-win32:
-	./Scripts/make_dist.sh win . upload
-
-upload-macosx:
-	./Scripts/make_dist.sh mac . upload
+jue:
+	@$(MAKE) SPECIAL_EDITION=rnd_jue all
+
+jue-win:
+	@$(MAKE) SPECIAL_EDITION=rnd_jue cross-win32
 
 dist-clean:
 	@$(MAKE_CMD) dist-clean
@@ -178,11 +166,38 @@
 dist-build-unix:
 	@BUILD_DIST=TRUE $(MAKE) x11
 
+dist-build-msdos:
+	@BUILD_DIST=TRUE $(MAKE) cross-msdos
+
 dist-build-win32:
 	@BUILD_DIST=TRUE $(MAKE) cross-win32
 
-dist-build-msdos:
-	@BUILD_DIST=TRUE $(MAKE) cross-msdos
+dist-build-macosx:
+	# (this is done by "dist-package-macosx" target)
+
+dist-package-unix:
+	./Scripts/make_dist.sh unix .
+
+dist-package-msdos:
+	./Scripts/make_dist.sh dos .
+
+dist-package-win32:
+	./Scripts/make_dist.sh win .
+
+dist-package-macosx:
+	./Scripts/make_dist.sh mac . $(MAKE)
+
+dist-upload-unix:
+	./Scripts/make_dist.sh unix . upload
+
+dist-upload-msdos:
+	./Scripts/make_dist.sh dos . upload
+
+dist-upload-win32:
+	./Scripts/make_dist.sh win . upload
+
+dist-upload-macosx:
+	./Scripts/make_dist.sh mac . upload
 
 dist-build-all:
 	$(MAKE) clean
@@ -190,11 +205,21 @@
 	$(MAKE) dist-build-win32	; $(MAKE) dist-clean
 #	$(MAKE) dist-build-msdos	; $(MAKE) dist-clean
 
-# dist-all: dist-build-all dist-unix dist-msdos dist-win32 dist-macosx
-dist-all: dist-build-all dist-unix dist-win32 dist-macosx
-
-# upload-all: upload-unix upload-msdos upload-win32 upload-macosx
-upload-all: upload-unix upload-win32 upload-macosx
+dist-package-all:
+	$(MAKE) dist-package-unix
+	$(MAKE) dist-package-win32
+	$(MAKE) dist-package-macosx
+#	$(MAKE) dist-package-msdos
+
+dist-upload-all:
+	$(MAKE) dist-upload-unix
+	$(MAKE) dist-upload-win32
+	$(MAKE) dist-upload-macosx
+#	$(MAKE) dist-upload-msdos
+
+dist-all: dist-build-all dist-package-all
+
+upload-all: dist-upload-all
 
 tags:
 	$(MAKE_CMD) tags
