=== debian/control ===
Source: rocksndiamonds
Section: contrib/games
Priority: extra
Uploaders: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Maintainer: Dmitry E. Oboukhov <unera@debian.org>
Build-Depends: debhelper (>= 5), cdbs, po-debconf,
 libsdl1.2-dev (>= 1.2),
 libsdl-image1.2-dev (>= 1.2),
 libsdl-mixer1.2-dev (>= 1.2),
 libsdl-net1.2-dev (>= 1.2.7)
Standards-Version: 3.8.4
Homepage: http://artsoft.org
VCS-Browser: https://anonscm.debian.org/cgit/collab-maint/rocksndiamonds.git;a=summary
VCS-Git: git://anonscm.debian.org/collab-maint/rocksndiamonds.git

Package: rocksndiamonds
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Conflicts: rocksndiamonds-data, rocksndiamonds-zelda, rocks-n-diamonds
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 perl-modules, p7zip, wget, unzip, zip
Description: arcade-style game
 This package provides the game engine for Rocks'n'Diamonds, an arcade
 game in the tradition of "Boulder Dash", "Emerald Mine", "Supaplex",
 "Sokoban", etcetera. Game levels emulating all of these can be
 downloaded from ArtSoft.org.
