=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://artsoft.org/RELEASES/unix/rocksndiamonds rocksndiamonds-(.*).tar.gz
