## rocksndiamonds 3.3.0.1-1

=== debian/changelog ===
rocksndiamonds (3.3.0.1-1) stable; urgency=low

  * Initial release

 -- Andy1210 <andy1210@gmail.com>  Thu, 19 Aug 2010 19:08:23 +0100
