## rocksndiamonds 3.3.0.1-2

=== debian/changelog ===
rocksndiamonds (3.3.0.1-2) stable; urgency=low

  * Fixed border graphics

 -- Andy1210 <andy1210@gmail.com>  Thu, 20 Aug 2010 19:40:34 +0100
