## rocksndiamonds 3.3.0.1-3

=== debian/changelog ===
rocksndiamonds (3.3.0.1-3) stable; urgency=low

  * Right Control changed to Left Control in setup.conf

 -- Andy1210 <andy1210@gmail.com>  Thu, 20 Aug 2010 20:24:16 +0100
