## rocksndiamonds 3.3.0.1-5

=== debian/changelog ===
rocksndiamonds (3.3.0.1-5) stable; urgency=low

  * Fixed Screen Size

 -- Andy1210 <andy1210@gmail.com>  Thu, 21 Aug 2010 20:56:37 +0100
