## rocksndiamonds 3.3.0.1-6

=== debian/changelog ===
rocksndiamonds (3.3.0.1-6) stable; urgency=low

  * Fixed border graphics again

 -- Andy1210 <andy1210@gmail.com>  Thu, 22 Aug 2010 26:53:32 +0100
