## rocksndiamonds 3.3.0.1-8

=== debian/changelog ===
rocksndiamonds (3.3.0.1-8) stable; urgency=low

  * Boulder Dash Dream border graphics fixed

 -- Andy1210 <andy1210@gmail.com>  Sun, 24 Jul 2011 23:53:32 +0100
