=== debian/control ===
Source: rocksndiamonds
Section: user/games
Priority: extra
Maintainer: Andy1210 <andy1210@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev, libsdl-net1.2-dev, libsmpeg-dev
Standards-Version: 3.7.3

Package: rocksndiamonds
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Arcade style game for Maemo5...
XB-Maemo-Display-Name: Rocks'n'Diamonds
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?p=793259
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAAEgBckRAAAACXBIWXMAAAsTAAALEwEAmpwYAAAK
 T2lDQ1BQaG90b3Nob3AgSUNDIHByb2ZpbGUAAHjanVNnVFPpFj333vRCS4iAlEtvUhUIIFJCi4AU
 kSYqIQkQSoghodkVUcERRUUEG8igiAOOjoCMFVEsDIoK2AfkIaKOg6OIisr74Xuja9a89+bN/rXX
 Pues852zzwfACAyWSDNRNYAMqUIeEeCDx8TG4eQuQIEKJHAAEAizZCFz/SMBAPh+PDwrIsAHvgAB
 eNMLCADATZvAMByH/w/qQplcAYCEAcB0kThLCIAUAEB6jkKmAEBGAYCdmCZTAKAEAGDLY2LjAFAt
 AGAnf+bTAICd+Jl7AQBblCEVAaCRACATZYhEAGg7AKzPVopFAFgwABRmS8Q5ANgtADBJV2ZIALC3
 AMDOEAuyAAgMADBRiIUpAAR7AGDIIyN4AISZABRG8lc88SuuEOcqAAB4mbI8uSQ5RYFbCC1xB1dX
 Lh4ozkkXKxQ2YQJhmkAuwnmZGTKBNA/g88wAAKCRFRHgg/P9eM4Ors7ONo62Dl8t6r8G/yJiYuP+
 5c+rcEAAAOF0ftH+LC+zGoA7BoBt/qIl7gRoXgugdfeLZrIPQLUAoOnaV/Nw+H48PEWhkLnZ2eXk
 5NhKxEJbYcpXff5nwl/AV/1s+X48/Pf14L7iJIEyXYFHBPjgwsz0TKUcz5IJhGLc5o9H/LcL//wd
 0yLESWK5WCoU41EScY5EmozzMqUiiUKSKcUl0v9k4t8s+wM+3zUAsGo+AXuRLahdYwP2SycQWHTA
 4vcAAPK7b8HUKAgDgGiD4c93/+8//UegJQCAZkmScQAAXkQkLlTKsz/HCAAARKCBKrBBG/TBGCzA
 BhzBBdzBC/xgNoRCJMTCQhBCCmSAHHJgKayCQiiGzbAdKmAv1EAdNMBRaIaTcA4uwlW4Dj1wD/ph
 CJ7BKLyBCQRByAgTYSHaiAFiilgjjggXmYX4IcFIBBKLJCDJiBRRIkuRNUgxUopUIFVIHfI9cgI5
 h1xGupE7yAAygvyGvEcxlIGyUT3UDLVDuag3GoRGogvQZHQxmo8WoJvQcrQaPYw2oefQq2gP2o8+
 Q8cwwOgYBzPEbDAuxsNCsTgsCZNjy7EirAyrxhqwVqwDu4n1Y8+xdwQSgUXACTYEd0IgYR5BSFhM
 WE7YSKggHCQ0EdoJNwkDhFHCJyKTqEu0JroR+cQYYjIxh1hILCPWEo8TLxB7iEPENyQSiUMyJ7mQ
 AkmxpFTSEtJG0m5SI+ksqZs0SBojk8naZGuyBzmULCAryIXkneTD5DPkG+Qh8lsKnWJAcaT4U+Io
 UspqShnlEOU05QZlmDJBVaOaUt2ooVQRNY9aQq2htlKvUYeoEzR1mjnNgxZJS6WtopXTGmgXaPdp
 r+h0uhHdlR5Ol9BX0svpR+iX6AP0dwwNhhWDx4hnKBmbGAcYZxl3GK+YTKYZ04sZx1QwNzHrmOeZ
 D5lvVVgqtip8FZHKCpVKlSaVGyovVKmqpqreqgtV81XLVI+pXlN9rkZVM1PjqQnUlqtVqp1Q61Mb
 U2epO6iHqmeob1Q/pH5Z/YkGWcNMw09DpFGgsV/jvMYgC2MZs3gsIWsNq4Z1gTXEJrHN2Xx2KruY
 /R27iz2qqaE5QzNKM1ezUvOUZj8H45hx+Jx0TgnnKKeX836K3hTvKeIpG6Y0TLkxZVxrqpaXllir
 SKtRq0frvTau7aedpr1Fu1n7gQ5Bx0onXCdHZ4/OBZ3nU9lT3acKpxZNPTr1ri6qa6UbobtEd79u
 p+6Ynr5egJ5Mb6feeb3n+hx9L/1U/W36p/VHDFgGswwkBtsMzhg8xTVxbzwdL8fb8VFDXcNAQ6Vh
 lWGX4YSRudE8o9VGjUYPjGnGXOMk423GbcajJgYmISZLTepN7ppSTbmmKaY7TDtMx83MzaLN1pk1
 mz0x1zLnm+eb15vft2BaeFostqi2uGVJsuRaplnutrxuhVo5WaVYVVpds0atna0l1rutu6cRp7lO
 k06rntZnw7Dxtsm2qbcZsOXYBtuutm22fWFnYhdnt8Wuw+6TvZN9un2N/T0HDYfZDqsdWh1+c7Ry
 FDpWOt6azpzuP33F9JbpL2dYzxDP2DPjthPLKcRpnVOb00dnF2e5c4PziIuJS4LLLpc+Lpsbxt3I
 veRKdPVxXeF60vWdm7Obwu2o26/uNu5p7ofcn8w0nymeWTNz0MPIQ+BR5dE/C5+VMGvfrH5PQ0+B
 Z7XnIy9jL5FXrdewt6V3qvdh7xc+9j5yn+M+4zw33jLeWV/MN8C3yLfLT8Nvnl+F30N/I/9k/3r/
 0QCngCUBZwOJgUGBWwL7+Hp8Ib+OPzrbZfay2e1BjKC5QRVBj4KtguXBrSFoyOyQrSH355jOkc5p
 DoVQfujW0Adh5mGLw34MJ4WHhVeGP45wiFga0TGXNXfR3ENz30T6RJZE3ptnMU85ry1KNSo+qi5q
 PNo3ujS6P8YuZlnM1VidWElsSxw5LiquNm5svt/87fOH4p3iC+N7F5gvyF1weaHOwvSFpxapLhIs
 OpZATIhOOJTwQRAqqBaMJfITdyWOCnnCHcJnIi/RNtGI2ENcKh5O8kgqTXqS7JG8NXkkxTOlLOW5
 hCepkLxMDUzdmzqeFpp2IG0yPTq9MYOSkZBxQqohTZO2Z+pn5mZ2y6xlhbL+xW6Lty8elQfJa7OQ
 rAVZLQq2QqboVFoo1yoHsmdlV2a/zYnKOZarnivN7cyzytuQN5zvn//tEsIS4ZK2pYZLVy0dWOa9
 rGo5sjxxedsK4xUFK4ZWBqw8uIq2Km3VT6vtV5eufr0mek1rgV7ByoLBtQFr6wtVCuWFfevc1+1d
 T1gvWd+1YfqGnRs+FYmKrhTbF5cVf9go3HjlG4dvyr+Z3JS0qavEuWTPZtJm6ebeLZ5bDpaql+aX
 Dm4N2dq0Dd9WtO319kXbL5fNKNu7g7ZDuaO/PLi8ZafJzs07P1SkVPRU+lQ27tLdtWHX+G7R7ht7
 vPY07NXbW7z3/T7JvttVAVVN1WbVZftJ+7P3P66Jqun4lvttXa1ObXHtxwPSA/0HIw6217nU1R3S
 PVRSj9Yr60cOxx++/p3vdy0NNg1VjZzG4iNwRHnk6fcJ3/ceDTradox7rOEH0x92HWcdL2pCmvKa
 RptTmvtbYlu6T8w+0dbq3nr8R9sfD5w0PFl5SvNUyWna6YLTk2fyz4ydlZ19fi753GDborZ752PO
 32oPb++6EHTh0kX/i+c7vDvOXPK4dPKy2+UTV7hXmq86X23qdOo8/pPTT8e7nLuarrlca7nuer21
 e2b36RueN87d9L158Rb/1tWeOT3dvfN6b/fF9/XfFt1+cif9zsu72Xcn7q28T7xf9EDtQdlD3YfV
 P1v+3Njv3H9qwHeg89HcR/cGhYPP/pH1jw9DBY+Zj8uGDYbrnjg+OTniP3L96fynQ89kzyaeF/6i
 /suuFxYvfvjV69fO0ZjRoZfyl5O/bXyl/erA6xmv28bCxh6+yXgzMV70VvvtwXfcdx3vo98PT+R8
 IH8o/2j5sfVT0Kf7kxmTk/8EA5jz/GMzLdsAAAAgY0hSTQAAeiUAAICDAAD5/wAAgOkAAHUwAADq
 YAAAOpgAABdvkl/FRgAAC4tJREFUeNpszbEJwlAAANH3XcK1ApaWgls4h+AEWcDWCQT3yAqKZ5GU
 XnlX3Kj8peJKleQpxy1UTU1rSE5Smd/zKi5yloNGZdxGXvjig4UdeLjbb9MFjB8AAAD//3TOIQ6C
 YBiA4edDqhpMBrOF7CGMREfnFmycRaeJ6CHMXEGleAZ+CqOZ3z3bG3+vNOiQJC/Jzc+ZzFqVypmd
 cLSz1ec2rouu8cFBkXu6xDfuhjkG3mRGDyvsF9ciJgAAAP//VNC7EUFhFATg76AAgch49KAUfWiB
 Ksi0gMCQS9GDwYxMSMQV/PclODN7Hnt2dpOPWaRFH0sGq0F2PV7ZWXsY++KNJxWhY5hNsktSicrN
 UZECU6PCd2n+7xgOmKOdUmxBLCKhLjZo1giBV169QmwvZDiloU+NcKvhu2iUzVY4CyfhZauff2+I
 HAX8AAAA//980r1KglEYB/Dfa3pACBp0qu6hqcChG2iRwD3aGmtpr6Gxpa1rcGjoHoQanKoLMAOn
 EARR09PwnvIrOtNz/jznPM//4x/v/j6ZEwywlWveumiNapVa8IS7pEE5/d+dCwbaV+04rowD2Me5
 6FIUHa5NGDVHMQjLsg7xmuoP3CfSsRljENYXLif3O3jMoWLjpvHLuq+//ugao7nbmVMPDtTjWRQE
 ExNecCs3M5G1jXebmSPURRG9PKpL6eglI2fYcFxQWAhXXGm24HoBVbUi6JqYKcmwk1ZgRXSZ6Q/0
 LBgmeIZqqj+XIpir9Ht9S+DUrj0dAQNfMqXFMd+Mlb0vQ2EUxn+3VdX4SLSmRm4RIekgapBOJCIS
 kQ4kBptEJMLfYDJIzD6Sbp3EJmEySFQwGDSGLoYWia+QEG0o5RreU32rtzjbvbn3POd9zvM8rzLQ
 pAEBFDuDYpox4AhIAT0QHA++Jc+SLtaZw2CVDwFyifRrNCvUyu4chYkqVRZOYidWd1W3UowJDLDC
 MSs4xWcHnBJnmBqu7FrYA+QJ5EZy6eoRpa4QoVLD9opYToEwXYRlDS5Z8zazwFr5XmqZsGYsy4pZ
 6YJ0r7kmQaJ8CLcYJqgFzrtQlGUVN0vfO2hdaI2m5lPT9v41/mf0fSCmxVOWc55oqQJIu9PTnh0P
 L0MvJf8ssmjfLANsAIfCgQO4kavFFCnWEeCxEMPDRjvjnJFXx+yL9LFn7qnp34AtYFd4d9oA5oAH
 7blJVHWBTwFEDOjgkk6aSzx5D7z+QY0DuCjbphqkms3i6yQmTlHJjXi4UVLit9i9s2muDNiPh1GH
 JliLXaLcCodoAeKXO/En0KfQU6xD7UaIF50c+aEUC/jEpIFlTCLUa6mUAZ61HFTVJp4vLW8lgEql
 gP34iJLnlgxTv37vhS/KyyYkqiiK47/3ZkwyZQyUEckWSWW6EFRsYdAiCxdWU4RtMhoLNUKCcpdQ
 4DZx04dCLgqJgmCE3IU7hciUEPyoXCnNjAVZ42Q6Oe+2eEfnzZs3o14Y5s0d7v+883H/53923dd2
 uzT8ciMngXPAB+ALcFJIrwn0Cf280WEM8ZxJJmkEQmRL/LOkYv4IycVlfxnUW+WY/6TlzfL61rvW
 h/AAPqroJMgpIhgcTyqGDFWcdhXVFPWH68OBdtrNjYPSSsvJo4P3tKDIojlJjOzUQN2huqehW6FW
 gAEGEn+Uilb6B+QBrbygFUUxr4ntxEAcfFd8c6MNo+3mT4fXK7UQfVxQLtPEbRTVTLPBPmcDBvgu
 +j4HzgaObm510+3sYqWtmyghuxOUk0801cA69FX1LQZqAkesOL30pg+w3cge4JF4pawGYtD/sN9o
 K2k7YMeIEMlcJpUCmA08EWAdkAp1s4Zn9trscpmnLOU6jzCys9tUC9y0cRjkAFF3TnPOYIGnwJEr
 WmjJDByWxjMtz5vMa3pRCYzpq32rbwofF9IdTU3mAgvOwGPAXeCe6FFDPlFLwvfgN6miAZ1LxImB
 t9ZLuDos7WGGCiqSxe0rIWR7/f2UxqRkClDACnPqpTrmxoXBInGKcS1NLKFNa8xfnaeLLvPwV2BQ
 VKjb4eboYlxLDFaUAC7yTQ8agb084DT3k+RHoSiFv2n6sLX+Q7a9XJP41DMlc0uEnqR6dkvi1rYB
 xxJ361pJeKoL4Aq/LMptSb6LtunHmoA57QetBjRgRoresNSzSxq/2iZEqevTpiRPpCzIHdxb43fy
 pJObBnzVYaKAHkiIWbflTaaICWHZD3mkS23Y9n87EseUM127gGHqCQv56LYweG2G9RSDmh3caeoZ
 IYiHcTQ+coOwpF6XvFhF2NrW6XeOgcrY0Uw2HOAb+xlHYwI/34miZChTIH52Amcyq4rGXWgQc3b0
 c5jrzHEBnR+ZqksNK/5TZ/6hUdZxHH89z3O3XzZuc1ubtpxs2gwZToYF64eVWS0Xt0hISoqCtcYG
 Euof/iFRxBCTMZPgEosmFDjzDxeymyCRghpSGVdNTMd+htemG7fbXe62Pf3xfJ757PZs99zUP/rC
 wW13z30/P96fH+/P5773Rff7GDOUdxVD+8clrf8tFPZtaT8H5X9h4C2gV/4eNIohr4Mr6PIefOVg
 29mCsynHOGY83ydI7iVIgMMMcASNPtKlCE4JjTB7tQzxQlTeK9LPpQnII0JDBDj693oCEpvo/AsF
 jxR83rGp4/3yJeWqHz8NNBifZUv31A2kks9a9uJmL9NAPzo/004/J5ngW5Q4CpCsB5I+Uch/NN/n
 /8hfV66VS8oOU0vt3JRaItShW/iYC1iGQjVeNLxofMVNoJubXOVrgnxGjD7bscldKWC4drl3mfeT
 41XH33Grs+YdtNDCAAPz1wxTkWtSv10WGGUC68ihnJ242Mm0QPQ3TvEnXzKBn1Sitj+t6/rCMdAP
 9FLkrfZ2tj3VVmo3GAsQoIIKY5Tl0INclfhRHZjY5DYdnOcnNuMikjgGYkCMouZNzZ2NpY2l7tkT
 Jks209nFLufCm/VxnUNFNPFaJzBBJWk0EONTE14uu8Akmzd9H/qO1hXWJSRvrbRymtOLi0BTkXGg
 K25slwJcF8FjoogxoMy3h9A45G7J3d5U3XS0dmmtI0YeJkwZZfTQc2+S+pB0h91xglsrbIhrjLIa
 1QKhldtWfnFm85n3ipXipO7bze57I/y4WDsgnH9YAluz6e3SWIXKRuDHGQj1fNeTVXK9hDWVa2gu
 a6ZKrUp452Uu48OXvLBTQgR+l1fQEgOaFKqIQDnXpiE1BneFZlNrQOhlZS3rOUcJ2USMIrT12a0c
 WH6AIormIXuPcYlLiVPvDbFqlzCS6MwOY3aeN6vuiLw3KWqeTFl0y/eG8HGb+pleSNmigJs3eIZv
 eEAu1g3LaKs06ivrOeQ5NHPXPvaxhz32GL4CXJQ2I2yxmpKAW0xJNz9tAxuPQMpUaowbjLBaP6WH
 70zRJtEo5gIVbJjTmcsIZMWGFexYv4P92n6Ct4IGbn8V9hqxzELUJGGliuXH5nlWFy88KMrGmGaI
 V/V2vT1+DPgST9BBXtyOy3rRqEAhJJhV7zKATeI77Kx1IE8iN0itflI/osZZ2k9A1hl2bg6JlbIx
 ViTpNi5P9twhF85OUDrcPGrmMhoNuEUTPYzNKnGqCD5qCTAdyLHhaslaf0xaacXxMzHGqSeG156S
 qQzyFy1ELHgOifCqjfXMXawnAT+3Xw0Zge4Mhj/IRD4F8JkgV22tEuZjuvgF1wLCx6fLDFEk1aEi
 ZjxNJhysbBP/PCdJ2QEp1pikn0b+YJqQZADVoZtzJNCUBRQx14PReSU4IZGWKSPAJPmAcfkFrqBJ
 TSjExYtkUIOHJ8kii3SJGd1m/eIWb4xJwCmOAncY2C5dkPNdRFLbFKsAxuthXDxPBjUsZSMePKTN
 jDUMxVQRLWqJqREBh3HtYeAD8Ynz+3NAb9UXqUBixR7CzQss4TWyeJosMnFLpb4N/EOfMQrg4qLv
 sSrwfz7/DQBWUdD8hJ7M3gAAAABJRU5ErkJggg==
