=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	cp -r "$(CURDIR)/music" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
 	cp -r "$(CURDIR)/scores" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
 	cp -r "$(CURDIR)/sounds" "$(CURDIR)/debian/rocksndiamonds/opt/rocksndiamonds/"
-	cp "$(CURDIR)/setup.conf" "$(CURDIR)/debian/rocksndiamonds/home/user/.rocksndiamonds/"
+	cp "$(CURDIR)/setup.conf" "$(CURDIR)/debian/rocksndiamonds/home/user/.rocksndiamonds/setup_tmp.conf"
 	cp "$(CURDIR)/data/rocksndiamonds.desktop" "$(CURDIR)/debian/rocksndiamonds/usr/share/applications/hildon/"
 	cp "$(CURDIR)/data/rocksndiamonds.png" "$(CURDIR)/debian/rocksndiamonds/usr/share/pixmaps/"
